Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs	(revision 54)
@@ -16,7 +16,7 @@
 namespace ProcessManagement.DB.IOAccess
 {
     /// <summary>
-    /// 出勤日報データＤＢアクセス
+    /// 出勤管理データＤＢアクセス
     /// </summary>
     public class IOAttendanceData : OracleProcess
     {
@@ -38,25 +38,25 @@
             /// </summary>
             PersonCode,
             /// <summary>
-            /// 日報作成日
+            /// 出勤管理年月
             /// </summary>
-            AttendanceDate,
+            AttendanceMonth,
             /// <summary>
-            /// 明細行番号
+            /// 当月最終日
             /// </summary>
-            SeqNo,
+            LastDays,
             /// <summary>
-            /// 工事番号
+            /// 出勤日数
             /// </summary>
-            ConstructionCode,
+            AttendDayCount,
             /// <summary>
-            /// 残業時間
+            /// 残業時間数
             /// </summary>
-            OvertimeHours,
+            TotalOverTimes,
             /// <summary>
-            /// コメント
+            /// 申請受付番号
             /// </summary>
-            WorkingComment,
+            OrderNo,
             /// <summary>
             /// 登録年月日
             /// </summary>
@@ -90,13 +90,13 @@
             string strcmd = "SELECT";
 
             strcmd += "  PersonCode";                                       // 担当者コード
-            strcmd += " ,TO_CHAR(AttendanceDate, 'YYYY/MM/DD')";            // 日報作成日
-            strcmd += " ,SeqNo";                                            // 明細行番号
-            strcmd += " ,ConstructionCode";                                 // 工事番号
-            strcmd += " ,OvertimeHours";                                    // 残業時間
-            strcmd += " ,WorkingComment";                                   // コメント
-            strcmd += ", TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";      // 登録年月日
-            strcmd += ", TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";     // 更新年月日
+            strcmd += " ,TO_CHAR(AttendanceMonth, 'YYYY/MM/DD')";           // 出勤管理年月
+            strcmd += " ,LastDays";                                         // 当月最終日
+            strcmd += " ,AttendDayCount";                                   // 出勤日数
+            strcmd += " ,TotalOverTimes";                                   // 残業時間数
+            strcmd += " ,OrderNo";                                          // 申請受付番号
+            strcmd += " ,TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";      // 登録年月日
+            strcmd += " ,TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";     // 更新年月日
             strcmd += " FROM AttendanceData";
 
             return strcmd;
@@ -181,11 +181,11 @@
             {
                 strcmd = "INSERT INTO AttendanceData";
                 strcmd += "  (PersonCode";      // 担当者コード
-                strcmd += " ,AttendanceDate";   // 日報作成日
-                strcmd += " ,SeqNo";            // 明細行番号
-                strcmd += " ,ConstructionCode"; // 工事番号
-                strcmd += " ,OvertimeHours";    // 残業時間
-                strcmd += " ,WorkingComment";   // コメント
+                strcmd += " ,AttendanceMonth";  // 出勤管理年月
+                strcmd += " ,LastDays";         // 当月最終日
+                strcmd += " ,AttendDayCount";   // 出勤日数
+                strcmd += " ,TotalOverTimes";   // 残業時間数
+                strcmd += " ,OrderNo";          // 申請受付番号
                 strcmd += " ,EntryDate";        // 登録年月日
                 strcmd += " ,UpdateDate)";      // 更新年月日
 
@@ -193,11 +193,11 @@
 
                 strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
                 strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')"
-                                            , work.AttendanceDate.ToShortDateString()); // 日報作成日
-                strcmd += string.Format(", {0}", work.SeqNo);                           // 明細行番号
-                strcmd += string.Format(", {0}", work.ConstructionCode);                // 工事番号
-                strcmd += string.Format(", {0}", work.OvertimeHours);                   // 残業時間
-                strcmd += string.Format(",'{0}'", work.WorkingComment);                 // コメント
+                                            , work.AttendanceMonth.ToShortDateString());// 日報作成日
+                strcmd += string.Format(", {0}", work.LastDays);                        // 当月最終日
+                strcmd += string.Format(", {0}", work.AttendDayCount);                  // 出勤日数
+                strcmd += string.Format(", {0}", work.TotalOverTimes);                  // 残業時間数
+                strcmd += string.Format(", {0}", work.OrderNo);                         // 申請受付番号
 
                 strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
@@ -253,12 +253,12 @@
                 strcmd += " SET";
 
                 strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
-                strcmd += string.Format(",AttendanceDate = TO_DATE('{0}','YYYY/MM/DD')"
-                                        , data.AttendanceDate.ToShortDateString());             // 日報作成日
-                strcmd += string.Format(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
-                strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
-                strcmd += string.Format(",OvertimeHours = {0}", data.OvertimeHours);            // 残業時間
-                strcmd += string.Format(",WorkingComment = '{0}'", data.WorkingComment);        // コメント
+                strcmd += string.Format(" ,AttendanceMonth = TO_DATE('{0}','YYYY/MM/DD')"
+                                        , data.AttendanceMonth.ToShortDateString());            // 出勤管理年月
+                strcmd += string.Format(" ,LastDays =  {0} ", data.LastDays);                   // 当月最終日
+                strcmd += string.Format(" ,AttendDayCount =  {0} ", data.AttendDayCount);       // 出勤日数
+                strcmd += string.Format(" ,TotalOverTimes =  {0} ", data.TotalOverTimes);       // 残業時間数
+                strcmd += string.Format(" ,OrderNo =  {0} ", data.OrderNo);                     // 申請受付番号
                 
                 strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd += AddSQLString;
@@ -311,7 +311,7 @@
         /// <param name="value"></param>
         /// <param name="bConnect"></param>
         /// <returns></returns>
-        public bool UpdateFeild(int PersonCode, DateTime AttendanceDate, int SeqNo, int FeildNo, object value, bool bConnect = true)
+        public bool UpdateFeild(int PersonCode, DateTime AttendanceMonth, int FeildNo, object value, bool bConnect = true)
         {
             string strcmd = "";
             try
@@ -324,25 +324,25 @@
                     case (int)DataColumn.PersonCode:
                         strcmd += string.Format(" PersonCode = {0}", (int)value);
                         break;
-                    case (int)DataColumn.AttendanceDate:
-                        strcmd += string.Format(" AttendanceDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
+                    case (int)DataColumn.AttendanceMonth:
+                        strcmd += string.Format(" AttendanceMonth = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
                         break;
-                    case (int)DataColumn.SeqNo:
-                        strcmd += string.Format(" SeqNo = {0}", (int)value);
+                    case (int)DataColumn.LastDays:
+                        strcmd += string.Format(" LastDays = {0}", (int)value);
                         break;
-                    case (int)DataColumn.ConstructionCode:
-                        strcmd += string.Format(" ConstructionCode = {0}", (int)value);
+                    case (int)DataColumn.AttendDayCount:
+                        strcmd += string.Format(" AttendDayCount = {0}", (int)value);
                         break;
-                    case (int)DataColumn.OvertimeHours:
-                        strcmd += string.Format(" OvertimeHours = {0}", (double)value);
+                    case (int)DataColumn.TotalOverTimes:
+                        strcmd += string.Format(" TotalOverTimes = {0}", (double)value);
                         break;
-                    case (int)DataColumn.WorkingComment:
-                        strcmd += string.Format(" WorkingComment = '{0}'", CommonMotions.cnvString(value));
+                    case (int)DataColumn.OrderNo:
+                        strcmd += string.Format(" OrderNo = {0}", (int)value);
                         break;
                 }
 
                 strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
-                strcmd += CreatePrimarykeyString(PersonCode, AttendanceDate, SeqNo);
+                strcmd += CreatePrimarykeyString(PersonCode, AttendanceMonth);
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
 
@@ -368,11 +368,11 @@
             {
                 // データ取得
                 wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                  // 担当者コード
-                wrk.AttendanceDate = DateTime.Parse(objwrk[(int)DataColumn.AttendanceDate].ToString());     // 日報作成日
-                wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                            // 明細行番号
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
-                wrk.OvertimeHours = double.Parse(objwrk[(int)DataColumn.OvertimeHours].ToString());         // 残業時間
-                wrk.WorkingComment = objwrk[(int)DataColumn.WorkingComment].ToString();                     // 当日作業内容
+                wrk.AttendanceMonth = DateTime.Parse(objwrk[(int)DataColumn.AttendanceMonth].ToString());   // 出勤管理年月
+                wrk.LastDays = int.Parse(objwrk[(int)DataColumn.LastDays].ToString());                      // 当月最終日
+                wrk.AttendDayCount = int.Parse(objwrk[(int)DataColumn.AttendDayCount].ToString());          // 出勤日数
+                wrk.TotalOverTimes = double.Parse(objwrk[(int)DataColumn.TotalOverTimes].ToString());       // 残業時間数
+                wrk.OrderNo = int.Parse(objwrk[(int)DataColumn.OrderNo].ToString());                        // 申請受付番号
                 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
@@ -397,16 +397,14 @@
         /// <param name="DataType"></param>
         /// <param name="DataAddCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int PersonCode, DateTime AttendanceDate, int SeqNo = 0)
+        public string CreatePrimarykeyString(int PersonCode, DateTime AttendanceMonth)
         {
             string strWork = "";
             try
             {
                 strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
-                if (AttendanceDate != DateTime.MinValue)
-                    strWork += string.Format(" AND AttendanceDate = TO_DATE('{0}','YYYY/MM/DD')", AttendanceDate.ToShortDateString());
-                if (SeqNo != 0)
-                    strWork += string.Format(" AND SeqNo = {0}", SeqNo);
+                if (AttendanceMonth != DateTime.MinValue)
+                    strWork += string.Format(" AND AttendanceMonth = TO_DATE('{0}','YYYY/MM/DD')", AttendanceMonth.ToShortDateString());
             }
             catch (Exception ex)
             {
@@ -416,44 +414,5 @@
             return strWork;
         }
         #endregion
-
-        #region 追加番号の最大値を取得
-        /// <summary>
-        /// 追加番号の最大値を取得する
-        /// </summary>
-        /// <param name="AddSQLString"></param>
-        /// <param name="bConnect"></param>
-        /// <returns></returns>
-        public int SelectMaxAddDataCount(string AddSQLString, bool bConnect = true)
-        {
-            //Oracle インターフェース
-            string strcmd = "";
-            ArrayList arData = new ArrayList();
-            int iRet = 0;
-            try
-            {
-                // SQL作成
-                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM AttendanceData" + AddSQLString;
-
-                // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
-
-                // データセット
-                foreach (object[] objwrk in arData)
-                {
-                    if (objwrk[0].ToString().Equals("null"))
-                        iRet = 0;
-                    else
-                        iRet = int.Parse(objwrk[0].ToString());
-                }
-
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
-            }
-            return iRet;
-        }
-        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPersonApprovalCommnet.cs	(revision 54)
@@ -18,7 +18,7 @@
     /// <summary>
     /// 担当者承認コメントデータアクセスクラス
     /// </summary>
-    public class IOPersonApprovalCommnet : OracleProcess
+    public class IOPersonApprovalComment : OracleProcess
     {
         #region 定義部
         /// <summary>
@@ -50,7 +50,7 @@
         /// コンストラクタ
         /// </summary>
         /// <param name="ConnectionString"></param>
-        public IOPersonApprovalCommnet()
+        public IOPersonApprovalComment()
             : base(DBCommon.Instance.DBConnectString)
         {
         }
@@ -70,7 +70,7 @@
             string strcmd = "SELECT";
             strcmd += " PersonCode";
             strcmd += ",ApprovalCode";
-            strcmd += ",OrderDate";
+            strcmd += ",TO_CHAR(OrderDate, 'YYYY/MM/DD')";
             strcmd += ",OrderNo";
             strcmd += ",CommentNo";
             strcmd += ",ParentNo";
@@ -77,7 +77,7 @@
             strcmd += ",ApproValComment";
             strcmd += ",TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";
             strcmd += ",TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";
-            strcmd += " FROM PersonApprovalCommnet";
+            strcmd += " FROM PersonApprovalComment";
 
             return strcmd;
         }
@@ -91,7 +91,7 @@
         /// <param name="data"></param>
         /// <param name="bConnect"></param>
         /// <returns></returns>
-        public bool SelectAction(string AddSQLString, ref List<PersonApprovalCommnet> data, bool bConnect = true)
+        public bool SelectAction(string AddSQLString, ref List<PersonApprovalComment> data, bool bConnect = true)
         {
             //Oracle インターフェース
             string strcmd = "";
@@ -108,7 +108,7 @@
                 // データセット
                 foreach (object[] objwrk in arData)
                 {
-                    PersonApprovalCommnet work = new PersonApprovalCommnet();
+                    PersonApprovalComment work = new PersonApprovalComment();
                     Reader2Struct(objwrk, ref work);
                     data.Add(work);
                 }
@@ -132,7 +132,7 @@
         /// <param name="data"></param>
         /// <param name="bConnect"></param>
         /// <returns></returns>
-        public bool SelectAction(string AddSQLString, ref PersonApprovalCommnet data, bool bConnect = true)
+        public bool SelectAction(string AddSQLString, ref PersonApprovalComment data, bool bConnect = true)
         {
             //Oracle インターフェース
             string strcmd = "";
@@ -168,12 +168,12 @@
         /// </summary>
         /// <param name="data">承認コメントデータデータ</param>
         /// <returns>true：成功 false：失敗</returns>
-        public bool InsertAction(List<PersonApprovalCommnet> data, bool bConnect = true)
+        public bool InsertAction(List<PersonApprovalComment> data, bool bConnect = true)
         {
             string strcmd = "";
             try
             {
-                foreach (PersonApprovalCommnet work in data)
+                foreach (PersonApprovalComment work in data)
                 {
                     if (!InsertAction(work, bConnect)) return false;
                 }
@@ -194,13 +194,12 @@
         /// <param name="data"></param>
         /// <param name="bConnect"></param>
         /// <returns></returns>
-        public bool InsertAction(PersonApprovalCommnet data, bool bConnect = true)
+        public bool InsertAction(PersonApprovalComment data, bool bConnect = true)
         {
             string strcmd = "";
             try
             {
-
-                    strcmd = "INSERT INTO PersonApprovalCommnet";
+                    strcmd = "INSERT INTO PersonApprovalComment";
                     strcmd += " (PersonCode";
                     strcmd += ",ApprovalCode";
                     strcmd += ",OrderDate";
@@ -244,13 +243,13 @@
         /// <param name="AddSQLString">更新条件SQL文字列</param>
         /// <param name="data">承認コメントデータデータ</param>
         /// <returns>true：成功 false：失敗</returns>
-        public bool UpdateAction(string AddSQLString, PersonApprovalCommnet data, bool bConnect = true)
+        public bool UpdateAction(string AddSQLString, PersonApprovalComment data, bool bConnect = true)
         {
             string strcmd = "";
             try
             {
 
-                strcmd = "UPDATE PersonApprovalCommnet";
+                strcmd = "UPDATE PersonApprovalComment";
 
                 strcmd += " SET";
 
@@ -290,7 +289,7 @@
             string strcmd = "";
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM PersonApprovalCommnet", AddSQLString);
+                strcmd = string.Format("{0}{1}", "DELETE FROM PersonApprovalComment", AddSQLString);
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
 
@@ -314,7 +313,7 @@
             string strcmd = "";
             try
             {
-                strcmd = "UPDATE PersonApprovalCommnet";
+                strcmd = "UPDATE PersonApprovalComment";
 
                 strcmd += " SET";
                 switch (FeildNo)
@@ -363,7 +362,7 @@
         /// </summary>
         /// <param name="reader">OracleDataReader</param>
         /// <param name="wrk">構造体</param>
-        public void Reader2Struct(object[] objwrk, ref PersonApprovalCommnet wrk)
+        public void Reader2Struct(object[] objwrk, ref PersonApprovalComment wrk)
         {
             try
             {
@@ -396,12 +395,12 @@
         /// </summary>
         /// <param name="BusinessTypeCode"></param>
         /// <returns>Where文字列</returns>
-        public string CreatePrimarykeyString(int ConstructionCode, int ApprovalCode, DateTime OrderDate, int OrderNo = 0, int CommentNo = 0, string APara = "")
+        public string CreatePrimarykeyString(int PersonCode, int ApprovalCode, DateTime OrderDate, int OrderNo = 0, int CommentNo = 0, string APara = "")
         {
             string strWork = string.Empty;
             try
             {
-                strWork = string.Format(" Where {0}ConstructionCode = {1}", APara, ConstructionCode.ToString());
+                strWork = string.Format(" Where {0}PersonCode = {1}", APara, PersonCode.ToString());
                 strWork += string.Format(" And {0}ApprovalCode = {1}", APara, ApprovalCode.ToString());
                 strWork += string.Format(" And {0}OrderDate = TO_DATE('{1}','YYYY/MM/DD')", APara, OrderDate.ToShortDateString());
                 if (OrderNo != 0)
@@ -432,7 +431,7 @@
             try
             {
                 // SQL作成
-                strcmd = "SELECT NVL(MAX(CommentNo), 0) FROM PersonApprovalCommnet" + AddSQLString;
+                strcmd = "SELECT NVL(MAX(CommentNo), 0) FROM PersonApprovalComment" + AddSQLString;
 
                 // SQL実行
                 if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsData.cs	(revision 54)
@@ -34,18 +34,14 @@
         public enum DataColumn
         {
             /// <summary>
-            /// 作成者コード
+            /// 工事番号
             /// </summary>
-            PersonCode,
+            ConstructionCode,
             /// <summary>
             /// 議事録作成日
             /// </summary>
             ProceedingsDataDate,
             /// <summary>
-            /// 工事番号
-            /// </summary>
-            ConstructionCode,
-            /// <summary>
             /// 会議時間開始
             /// </summary>
             StartMeetingTime,
@@ -54,17 +50,17 @@
             /// </summary>
             EndMeetingTime,
             /// <summary>
-            /// 打合せ場所１
+            /// 作成者コード
             /// </summary>
-            MeetingPalce1,
+            CreatorCode,
             /// <summary>
-            /// 打合せ場所２
+            /// 現地フラグ
             /// </summary>
-            MeetingPalce2,
+            PalceFlag,
             /// <summary>
-            /// 打合せ場所３
+            /// 打合せ場所
             /// </summary>
-            MeetingPalce3,
+            MeetingPalce,
             /// <summary>
             /// 登録年月日
             /// </summary>
@@ -97,14 +93,13 @@
             // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
             string strcmd = "SELECT";
 
-            strcmd += "  PersonCode";                                       // 担当者コード
+            strcmd += "  ConstructionCode";                                 // 工事番号
             strcmd += " ,TO_CHAR(ProceedingsDataDate, 'YYYY/MM/DD')";       // 議事録作成日
-            strcmd += " ,ConstructionCode";                                 // 工事番号
-            strcmd += " ,TO_CHAR(StartMeetingTime, 'YYYY/MM/DD')";          // 会議時間開始
-            strcmd += " ,TO_CHAR(EndMeetingTime, 'YYYY/MM/DD')";            // 会議時間終了
-            strcmd += " ,MeetingPalce1";                                    // 打合せ場所１
-            strcmd += " ,MeetingPalce2";                                    // 打合せ場所２
-            strcmd += " ,MeetingPalce3";                                    // 打合せ場所３
+            strcmd += " ,StartMeetingTime";                                 // 会議時間開始
+            strcmd += " ,EndMeetingTime";                                   // 会議時間終了
+            strcmd += " ,CreatorCode";                                      // 作成者コード
+            strcmd += " ,PalceFlag";                                        // 現地フラグ
+            strcmd += " ,MeetingPalce";                                     // 打合せ場所
             strcmd += ", TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";      // 登録年月日
             strcmd += ", TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";     // 更新年月日
             strcmd += " FROM ProceedingsData";
@@ -191,19 +186,24 @@
             {
                 strcmd = "INSERT INTO ProceedingsData";
 
-                strcmd += " VALUES (";
+                strcmd += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(DataColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
 
-                strcmd += string.Format("  {0}", work.PersonCode);                          // 担当者コード
+                strcmd += string.Format("{0}", work.ConstructionCode);                      // 工事番号
                 strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')"
                                             , work.ProceedingsDataDate.ToShortDateString());// 議事録作成日
-                strcmd += string.Format(", {0}", work.ConstructionCode);                    // 工事番号
-                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')"
-                                            , work.StartMeetingTime.ToShortDateString());   // 会議時間開始
-                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')"
-                                            , work.StartMeetingTime.ToShortDateString());   // 会議時間終了
-                strcmd += string.Format(",'{0}'", work.MeetingPalce1);                      // 打合せ場所１
-                strcmd += string.Format(",'{0}'", work.MeetingPalce2);                      // 打合せ場所２
-                strcmd += string.Format(",'{0}'", work.MeetingPalce3);                      // 打合せ場所３
+                strcmd += string.Format(", {0}", work.StartMeetingTime);                    // 会議時間開始
+                strcmd += string.Format(", {0}", work.EndMeetingTime);                      // 会議時間終了
+                strcmd += string.Format(", {0}", work.CreatorCode);                         // 作成者コード
+                strcmd += string.Format(", {0}", work.PalceFlag);                           // 現地フラグ
+                strcmd += string.Format(",'{0}'", work.MeetingPalce);                       // 打合せ場所１
 
                 strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
@@ -259,17 +259,14 @@
 
                 strcmd += " SET";
 
-                strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
                 strcmd += string.Format(",ProceedingsDataDate = TO_DATE('{0}','YYYY/MM/DD')"
                                         , data.ProceedingsDataDate.ToShortDateString());        // 議事録作成日
-                strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
-                strcmd += string.Format(",StartMeetingTime = TO_DATE('{0}','YYYY/MM/DD')"
-                                        , data.StartMeetingTime.ToShortDateString());           // 会議時間開始
-                strcmd += string.Format(",EndMeetingTime = TO_DATE('{0}','YYYY/MM/DD')"
-                                        , data.EndMeetingTime.ToShortDateString());             // 会議時間終了
-                strcmd += string.Format(",MeetingPalce1 = '{0}'", data.MeetingPalce1);          // 打合せ場所１
-                strcmd += string.Format(",MeetingPalce2 = '{0}'", data.MeetingPalce2);          // 打合せ場所２
-                strcmd += string.Format(",MeetingPalce3 = '{0}'", data.MeetingPalce3);          // 打合せ場所３
+                strcmd += string.Format(",StartMeetingTime = {0}", data.StartMeetingTime);      // 会議時間開始
+                strcmd += string.Format(",EndMeetingTime = {0}", data.EndMeetingTime);          // 会議時間終了
+                strcmd += string.Format(",CreatorCode = {0}", data.CreatorCode);                // 作成者コード
+                strcmd += string.Format(",PalceFlag = {0}", data.PalceFlag);                    // 現地フラグ
+                strcmd += string.Format(",MeetingPalce = '{0}'", data.MeetingPalce);            // 打合せ場所
 
                 strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 strcmd += AddSQLString;
@@ -324,15 +321,14 @@
             try
             {
                 // データ取得
-                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                  // 担当者コード
+                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
                 wrk.ProceedingsDataDate = DateTime.Parse(objwrk[(int)DataColumn.ProceedingsDataDate].ToString());       // 議事録作成日
-                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
-                wrk.StartMeetingTime = DateTime.Parse(objwrk[(int)DataColumn.StartMeetingTime].ToString()); // 会議時間開始
-                wrk.EndMeetingTime = DateTime.Parse(objwrk[(int)DataColumn.EndMeetingTime].ToString());     // 会議時間終了
+                wrk.StartMeetingTime = int.Parse(objwrk[(int)DataColumn.StartMeetingTime].ToString());      // 会議時間開始
+                wrk.EndMeetingTime = int.Parse(objwrk[(int)DataColumn.EndMeetingTime].ToString());          // 会議時間終了
+                wrk.CreatorCode = int.Parse(objwrk[(int)DataColumn.CreatorCode].ToString());                // 作成者コード
+                wrk.PalceFlag = int.Parse(objwrk[(int)DataColumn.PalceFlag].ToString());                    // 現地フラグ
 
-                wrk.MeetingPalce1 = objwrk[(int)DataColumn.MeetingPalce1].ToString();                       // 打合せ場所１
-                wrk.MeetingPalce2 = objwrk[(int)DataColumn.MeetingPalce2].ToString();                       // 打合せ場所２
-                wrk.MeetingPalce3 = objwrk[(int)DataColumn.MeetingPalce3].ToString();                       // 打合せ場所３
+                wrk.MeetingPalce = objwrk[(int)DataColumn.MeetingPalce].ToString();                         // 打合せ場所
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
@@ -352,21 +348,21 @@
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
-        /// <param name="PersonCode"></param>
+        /// <param name="CreatorCode"></param>
         /// <param name="ActionDate"></param>
         /// <param name="DataType"></param>
         /// <param name="DataAddCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int PersonCode, DateTime ProceedingsDataDate, int ConstructionCode)
+        public string CreatePrimarykeyString(int ConstructionCode, DateTime ProceedingsDataDate, int StartMeetingTime = 0)
         {
             string strWork = "";
             try
             {
-                strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                strWork += string.Format(" WHERE ConstructionCode = {0}", ConstructionCode);
                 if (ProceedingsDataDate != DateTime.MinValue)
                     strWork += string.Format(" AND ProceedingsDataDate = TO_DATE('{0}','YYYY/MM/DD')", ProceedingsDataDate.ToShortDateString());
-                if (ConstructionCode != 0)
-                    strWork += string.Format(" AND ConstructionCode = {0}", ConstructionCode);
+                if (StartMeetingTime != 0)
+                    strWork += string.Format(" AND StartMeetingTime = {0}", StartMeetingTime);
             }
             catch (Exception ex)
             {
